<div class="auth-layout">
  <nb-card>
    <nb-card-header class="text-center">
      YUNEED ADMIN PAGE
    </nb-card-header>
    <nb-card-body>
      <div class="auth-block">
        <!-- <div class="text-center">
          <img class="logo" src="assets/images/Logo_PKK.png" alt="">
        </div> -->
        
        
        <h1 id="title" class="title">YUNEED CAFE & RESTO</h1>
        
        <p class="sub-title">Halo! Please provide your email and password to login</p>
        
        <!-- <nb-alert *ngIf="showMessages.error && errors?.length && !submitted" outline="danger" role="alert">
          <p class="alert-title"><b>Oh snap!</b></p>
          <ul class="alert-message-list">
            <li *ngFor="let error of errors" class="alert-message">{{ error }}</li>
          </ul>
        </nb-alert>
        
        <nb-alert *ngIf="showMessages.success && messages?.length && !submitted" outline="success" role="alert">
          <p class="alert-title"><b>Hooray!</b></p>
          <ul class="alert-message-list">
            <li *ngFor="let message of messages" class="alert-message">{{ message }}</li>
          </ul>
        </nb-alert> -->
        
        <form autocomplete="nope" novalidate="" [formGroup]="signinFormGroup" (submit)="onSubmit()" aria-labelledby="title">
        
          <div class="form-control-group">
            <label class="label" for="input-email">Email:</label>
            <input nbInput fullWidth autofocus formControlName="email"
              id="input-email" name="email" placeholder="Email" [ngClass]="{
                  'invalid-form-control': signinFormGroup.controls.email.invalid && signinFormGroup.controls.email.dirty,
                  'success-form-control': signinFormGroup.controls.email.valid && signinFormGroup.controls.email.dirty
              }"/>
            <div *ngIf="signinFormGroup.controls.email.invalid && signinFormGroup.controls.email.dirty" class="invalid-form">
              <small *ngIf="signinFormGroup.controls.email.errors.required">Email is required!</small>
            </div>
        </div>
        
          <div class="form-control-group">
            <span class="label-with-link">
              <label class="label" for="input-password">Password:</label>
              <a class="forgot-password caption-2" routerlink="../request-password" href="/ngx-admin/auth/request-password">Forgot Password?</a>
            </span>
            <input nbInput fullWidth formControlName="password" id="input-password" name="password"
              placeholder="Password" type="password" [ngClass]="{
                  'invalid-form-control': signinFormGroup.controls.password.invalid && signinFormGroup.controls.password.dirty,
                  'success-form-control': signinFormGroup.controls.password.valid && signinFormGroup.controls.password.dirty
              }">
            <small *ngIf="signinFormGroup.controls.password.invalid && signinFormGroup.controls.password.dirty" class="invalid-form">
              Password is required!
            </small>
          </div>
        
          <button nbButton fullWidth status="primary" [disabled]="signinFormGroup.invalid">
            Login
          </button>
        </form>
      </div>
    </nb-card-body>
  </nb-card>
</div>
